View Issue Details

IDProjectCategoryView StatusLast Update
0004903SOGoBackend Calendarpublic2020-01-15 06:14
Reporterjoachim.m Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version4.1.1 
Fixed in Versionnightly master 
Summary0004903: All-Day events created in Thunderbird are displayed as 24h event
Description

During testing of a nightly built, all-day events created in Thunderbird and synced over CALDav (TB native, TBSync, SOGo integrator), were transformed into 24h events (00:00AM day1 until 00:00 AM of day 2) in Thunderbird and the SOGo webapp.
All-Day events created in the SOGo webapp and sync to TB were displayed correctly.
The same problem occured in the webapp, importing an ics file that contained all-day events.
The stable branch of 1.4.1 didn't have this problem.

Steps To Reproduce
  1. Be sure to have the latest nightly build installed
  2. Connect Thunderbird 68+ with SOGo connector (or TBsync, or native Lightning CALDav)
  3. Create all-day event in your personal calendar
  4. The all-day event becomes a

  1. open SOGo Webapp
  2. import .ics file with all-day events
  3. The all-day events are transformed into events from 00:00AM to 00:00AM next day
Tagsthunderbird

Issue History

Date Modified Username Field Change
2019-12-09 07:56 joachim.m New Issue
2019-12-09 07:56 joachim.m Tag Attached: thunderbird
2019-12-16 16:58 francis Assigned To => francis
2019-12-16 16:58 francis Status new => resolved
2019-12-16 16:58 francis Resolution open => fixed
2019-12-16 16:58 francis Fixed in Version => nightly master
2019-12-16 16:58 francis Note Added: 0013985